set mypath=%cd%

@echo off
SET ProgFiles86Root=%ProgramFiles(x86)%
IF NOT "%ProgFiles86Root%"=="" GOTO win64
SET ProgFiles86Root=%ProgramFiles%
GOTO win32

:win32
echo *32 bit*
cd\
cd C:\Windows\System32\wbem\
mofcomp.exe C:\Windows\System32\wbem\cimwin32.mof

cd\
cd C:\Windows\System32\
regsvr32.exe C:\Windows\System32\wbem\cimwin32.dll
GOTO end

:win64
echo  *64 bit***
GOTO end

:end


cd\
cd C:\Windows\System32
regsvr32.exe %mypath%\EPSN_PLQ20.ocx

set myDIR=C:\TCSPASSBOOKDATA
IF not exist %myDIR% (mkdir %myDIR%)

IF not exist %myDIR%\settings.ini (copy %mypath%\settings.ini %myDIR%\settings.ini)